IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network204.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
- Network address
204.0.0.0- Broadcast address
207.255.255.255- First usable
204.0.0.1- Last usable
207.255.255.254- Usable hosts
- 67,108,862 (67,108,864 less the network and broadcast addresses)
- Subnet mask
252.0.0.0- Wildcard mask
3.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /6
- Type
- Public public
- Old class
- C (default /24)
- As numbers
- Hex
CC000000· Integer3422552064to3489660927 - Reverse DNS zones
204.in-addr.arpa205.in-addr.arpa206.in-addr.arpa207.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11001100.00000000.00000000.00000000 | 204.0.0.0 |
| Subnet mask | 11111100.00000000.00000000.00000000 | 252.0.0.0 |
| Network | 11001100.00000000.00000000.00000000 | 204.0.0.0 |
| Broadcast | 11001111.11111111.11111111.11111111 | 207.255.255.255 |
Split into smaller subnets
/7 (2)/8 (4)/9 (8)/10 (16)/11 (32)/12 (64)/13 (128)/14 (256)/15 (512)/16 (1,024)/17 (2,048)/18 (4,096)
204.0.0.0/6 makes 512 subnets of /15; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 204.0.0.0/15 | 204.0.0.1 to 204.1.255.254 | 204.1.255.255 | 131,070 |
| 2 | 204.2.0.0/15 | 204.2.0.1 to 204.3.255.254 | 204.3.255.255 | 131,070 |
| 3 | 204.4.0.0/15 | 204.4.0.1 to 204.5.255.254 | 204.5.255.255 | 131,070 |
| 4 | 204.6.0.0/15 | 204.6.0.1 to 204.7.255.254 | 204.7.255.255 | 131,070 |
| 5 | 204.8.0.0/15 | 204.8.0.1 to 204.9.255.254 | 204.9.255.255 | 131,070 |
| 6 | 204.10.0.0/15 | 204.10.0.1 to 204.11.255.254 | 204.11.255.255 | 131,070 |
| 7 | 204.12.0.0/15 | 204.12.0.1 to 204.13.255.254 | 204.13.255.255 | 131,070 |
| 8 | 204.14.0.0/15 | 204.14.0.1 to 204.15.255.254 | 204.15.255.255 | 131,070 |
| 9 | 204.16.0.0/15 | 204.16.0.1 to 204.17.255.254 | 204.17.255.255 | 131,070 |
| 10 | 204.18.0.0/15 | 204.18.0.1 to 204.19.255.254 | 204.19.255.255 | 131,070 |
| 11 | 204.20.0.0/15 | 204.20.0.1 to 204.21.255.254 | 204.21.255.255 | 131,070 |
| 12 | 204.22.0.0/15 | 204.22.0.1 to 204.23.255.254 | 204.23.255.255 | 131,070 |
| 13 | 204.24.0.0/15 | 204.24.0.1 to 204.25.255.254 | 204.25.255.255 | 131,070 |
| 14 | 204.26.0.0/15 | 204.26.0.1 to 204.27.255.254 | 204.27.255.255 | 131,070 |
| 15 | 204.28.0.0/15 | 204.28.0.1 to 204.29.255.254 | 204.29.255.255 | 131,070 |
| 16 | 204.30.0.0/15 | 204.30.0.1 to 204.31.255.254 | 204.31.255.255 | 131,070 |
| 17 | 204.32.0.0/15 | 204.32.0.1 to 204.33.255.254 | 204.33.255.255 | 131,070 |
| 18 | 204.34.0.0/15 | 204.34.0.1 to 204.35.255.254 | 204.35.255.255 | 131,070 |
| 19 | 204.36.0.0/15 | 204.36.0.1 to 204.37.255.254 | 204.37.255.255 | 131,070 |
| 20 | 204.38.0.0/15 | 204.38.0.1 to 204.39.255.254 | 204.39.255.255 | 131,070 |
| 21 | 204.40.0.0/15 | 204.40.0.1 to 204.41.255.254 | 204.41.255.255 | 131,070 |
| 22 | 204.42.0.0/15 | 204.42.0.1 to 204.43.255.254 | 204.43.255.255 | 131,070 |
| 23 | 204.44.0.0/15 | 204.44.0.1 to 204.45.255.254 | 204.45.255.255 | 131,070 |
| 24 | 204.46.0.0/15 | 204.46.0.1 to 204.47.255.254 | 204.47.255.255 | 131,070 |
| 25 | 204.48.0.0/15 | 204.48.0.1 to 204.49.255.254 | 204.49.255.255 | 131,070 |
| 26 | 204.50.0.0/15 | 204.50.0.1 to 204.51.255.254 | 204.51.255.255 | 131,070 |
| 27 | 204.52.0.0/15 | 204.52.0.1 to 204.53.255.254 | 204.53.255.255 | 131,070 |
| 28 | 204.54.0.0/15 | 204.54.0.1 to 204.55.255.254 | 204.55.255.255 | 131,070 |
| 29 | 204.56.0.0/15 | 204.56.0.1 to 204.57.255.254 | 204.57.255.255 | 131,070 |
| 30 | 204.58.0.0/15 | 204.58.0.1 to 204.59.255.254 | 204.59.255.255 | 131,070 |
| 31 | 204.60.0.0/15 | 204.60.0.1 to 204.61.255.254 | 204.61.255.255 | 131,070 |
| 32 | 204.62.0.0/15 | 204.62.0.1 to 204.63.255.254 | 204.63.255.255 | 131,070 |
| 33 | 204.64.0.0/15 | 204.64.0.1 to 204.65.255.254 | 204.65.255.255 | 131,070 |
| 34 | 204.66.0.0/15 | 204.66.0.1 to 204.67.255.254 | 204.67.255.255 | 131,070 |
| 35 | 204.68.0.0/15 | 204.68.0.1 to 204.69.255.254 | 204.69.255.255 | 131,070 |
| 36 | 204.70.0.0/15 | 204.70.0.1 to 204.71.255.254 | 204.71.255.255 | 131,070 |
| 37 | 204.72.0.0/15 | 204.72.0.1 to 204.73.255.254 | 204.73.255.255 | 131,070 |
| 38 | 204.74.0.0/15 | 204.74.0.1 to 204.75.255.254 | 204.75.255.255 | 131,070 |
| 39 | 204.76.0.0/15 | 204.76.0.1 to 204.77.255.254 | 204.77.255.255 | 131,070 |
| 40 | 204.78.0.0/15 | 204.78.0.1 to 204.79.255.254 | 204.79.255.255 | 131,070 |
| 41 | 204.80.0.0/15 | 204.80.0.1 to 204.81.255.254 | 204.81.255.255 | 131,070 |
| 42 | 204.82.0.0/15 | 204.82.0.1 to 204.83.255.254 | 204.83.255.255 | 131,070 |
| 43 | 204.84.0.0/15 | 204.84.0.1 to 204.85.255.254 | 204.85.255.255 | 131,070 |
| 44 | 204.86.0.0/15 | 204.86.0.1 to 204.87.255.254 | 204.87.255.255 | 131,070 |
| 45 | 204.88.0.0/15 | 204.88.0.1 to 204.89.255.254 | 204.89.255.255 | 131,070 |
| 46 | 204.90.0.0/15 | 204.90.0.1 to 204.91.255.254 | 204.91.255.255 | 131,070 |
| 47 | 204.92.0.0/15 | 204.92.0.1 to 204.93.255.254 | 204.93.255.255 | 131,070 |
| 48 | 204.94.0.0/15 | 204.94.0.1 to 204.95.255.254 | 204.95.255.255 | 131,070 |
| 49 | 204.96.0.0/15 | 204.96.0.1 to 204.97.255.254 | 204.97.255.255 | 131,070 |
| 50 | 204.98.0.0/15 | 204.98.0.1 to 204.99.255.254 | 204.99.255.255 | 131,070 |
| 51 | 204.100.0.0/15 | 204.100.0.1 to 204.101.255.254 | 204.101.255.255 | 131,070 |
| 52 | 204.102.0.0/15 | 204.102.0.1 to 204.103.255.254 | 204.103.255.255 | 131,070 |
| 53 | 204.104.0.0/15 | 204.104.0.1 to 204.105.255.254 | 204.105.255.255 | 131,070 |
| 54 | 204.106.0.0/15 | 204.106.0.1 to 204.107.255.254 | 204.107.255.255 | 131,070 |
| 55 | 204.108.0.0/15 | 204.108.0.1 to 204.109.255.254 | 204.109.255.255 | 131,070 |
| 56 | 204.110.0.0/15 | 204.110.0.1 to 204.111.255.254 | 204.111.255.255 | 131,070 |
| 57 | 204.112.0.0/15 | 204.112.0.1 to 204.113.255.254 | 204.113.255.255 | 131,070 |
| 58 | 204.114.0.0/15 | 204.114.0.1 to 204.115.255.254 | 204.115.255.255 | 131,070 |
| 59 | 204.116.0.0/15 | 204.116.0.1 to 204.117.255.254 | 204.117.255.255 | 131,070 |
| 60 | 204.118.0.0/15 | 204.118.0.1 to 204.119.255.254 | 204.119.255.255 | 131,070 |
| 61 | 204.120.0.0/15 | 204.120.0.1 to 204.121.255.254 | 204.121.255.255 | 131,070 |
| 62 | 204.122.0.0/15 | 204.122.0.1 to 204.123.255.254 | 204.123.255.255 | 131,070 |
| 63 | 204.124.0.0/15 | 204.124.0.1 to 204.125.255.254 | 204.125.255.255 | 131,070 |
| 64 | 204.126.0.0/15 | 204.126.0.1 to 204.127.255.254 | 204.127.255.255 | 131,070 |
| 65 | 204.128.0.0/15 | 204.128.0.1 to 204.129.255.254 | 204.129.255.255 | 131,070 |
| 66 | 204.130.0.0/15 | 204.130.0.1 to 204.131.255.254 | 204.131.255.255 | 131,070 |
| 67 | 204.132.0.0/15 | 204.132.0.1 to 204.133.255.254 | 204.133.255.255 | 131,070 |
| 68 | 204.134.0.0/15 | 204.134.0.1 to 204.135.255.254 | 204.135.255.255 | 131,070 |
| 69 | 204.136.0.0/15 | 204.136.0.1 to 204.137.255.254 | 204.137.255.255 | 131,070 |
| 70 | 204.138.0.0/15 | 204.138.0.1 to 204.139.255.254 | 204.139.255.255 | 131,070 |
| 71 | 204.140.0.0/15 | 204.140.0.1 to 204.141.255.254 | 204.141.255.255 | 131,070 |
| 72 | 204.142.0.0/15 | 204.142.0.1 to 204.143.255.254 | 204.143.255.255 | 131,070 |
| 73 | 204.144.0.0/15 | 204.144.0.1 to 204.145.255.254 | 204.145.255.255 | 131,070 |
| 74 | 204.146.0.0/15 | 204.146.0.1 to 204.147.255.254 | 204.147.255.255 | 131,070 |
| 75 | 204.148.0.0/15 | 204.148.0.1 to 204.149.255.254 | 204.149.255.255 | 131,070 |
| 76 | 204.150.0.0/15 | 204.150.0.1 to 204.151.255.254 | 204.151.255.255 | 131,070 |
| 77 | 204.152.0.0/15 | 204.152.0.1 to 204.153.255.254 | 204.153.255.255 | 131,070 |
| 78 | 204.154.0.0/15 | 204.154.0.1 to 204.155.255.254 | 204.155.255.255 | 131,070 |
| 79 | 204.156.0.0/15 | 204.156.0.1 to 204.157.255.254 | 204.157.255.255 | 131,070 |
| 80 | 204.158.0.0/15 | 204.158.0.1 to 204.159.255.254 | 204.159.255.255 | 131,070 |
| 81 | 204.160.0.0/15 | 204.160.0.1 to 204.161.255.254 | 204.161.255.255 | 131,070 |
| 82 | 204.162.0.0/15 | 204.162.0.1 to 204.163.255.254 | 204.163.255.255 | 131,070 |
| 83 | 204.164.0.0/15 | 204.164.0.1 to 204.165.255.254 | 204.165.255.255 | 131,070 |
| 84 | 204.166.0.0/15 | 204.166.0.1 to 204.167.255.254 | 204.167.255.255 | 131,070 |
| 85 | 204.168.0.0/15 | 204.168.0.1 to 204.169.255.254 | 204.169.255.255 | 131,070 |
| 86 | 204.170.0.0/15 | 204.170.0.1 to 204.171.255.254 | 204.171.255.255 | 131,070 |
| 87 | 204.172.0.0/15 | 204.172.0.1 to 204.173.255.254 | 204.173.255.255 | 131,070 |
| 88 | 204.174.0.0/15 | 204.174.0.1 to 204.175.255.254 | 204.175.255.255 | 131,070 |
| 89 | 204.176.0.0/15 | 204.176.0.1 to 204.177.255.254 | 204.177.255.255 | 131,070 |
| 90 | 204.178.0.0/15 | 204.178.0.1 to 204.179.255.254 | 204.179.255.255 | 131,070 |
| 91 | 204.180.0.0/15 | 204.180.0.1 to 204.181.255.254 | 204.181.255.255 | 131,070 |
| 92 | 204.182.0.0/15 | 204.182.0.1 to 204.183.255.254 | 204.183.255.255 | 131,070 |
| 93 | 204.184.0.0/15 | 204.184.0.1 to 204.185.255.254 | 204.185.255.255 | 131,070 |
| 94 | 204.186.0.0/15 | 204.186.0.1 to 204.187.255.254 | 204.187.255.255 | 131,070 |
| 95 | 204.188.0.0/15 | 204.188.0.1 to 204.189.255.254 | 204.189.255.255 | 131,070 |
| 96 | 204.190.0.0/15 | 204.190.0.1 to 204.191.255.254 | 204.191.255.255 | 131,070 |
| 97 | 204.192.0.0/15 | 204.192.0.1 to 204.193.255.254 | 204.193.255.255 | 131,070 |
| 98 | 204.194.0.0/15 | 204.194.0.1 to 204.195.255.254 | 204.195.255.255 | 131,070 |
| 99 | 204.196.0.0/15 | 204.196.0.1 to 204.197.255.254 | 204.197.255.255 | 131,070 |
| 100 | 204.198.0.0/15 | 204.198.0.1 to 204.199.255.254 | 204.199.255.255 | 131,070 |
| 101 | 204.200.0.0/15 | 204.200.0.1 to 204.201.255.254 | 204.201.255.255 | 131,070 |
| 102 | 204.202.0.0/15 | 204.202.0.1 to 204.203.255.254 | 204.203.255.255 | 131,070 |
| 103 | 204.204.0.0/15 | 204.204.0.1 to 204.205.255.254 | 204.205.255.255 | 131,070 |
| 104 | 204.206.0.0/15 | 204.206.0.1 to 204.207.255.254 | 204.207.255.255 | 131,070 |
| 105 | 204.208.0.0/15 | 204.208.0.1 to 204.209.255.254 | 204.209.255.255 | 131,070 |
| 106 | 204.210.0.0/15 | 204.210.0.1 to 204.211.255.254 | 204.211.255.255 | 131,070 |
| 107 | 204.212.0.0/15 | 204.212.0.1 to 204.213.255.254 | 204.213.255.255 | 131,070 |
| 108 | 204.214.0.0/15 | 204.214.0.1 to 204.215.255.254 | 204.215.255.255 | 131,070 |
| 109 | 204.216.0.0/15 | 204.216.0.1 to 204.217.255.254 | 204.217.255.255 | 131,070 |
| 110 | 204.218.0.0/15 | 204.218.0.1 to 204.219.255.254 | 204.219.255.255 | 131,070 |
| 111 | 204.220.0.0/15 | 204.220.0.1 to 204.221.255.254 | 204.221.255.255 | 131,070 |
| 112 | 204.222.0.0/15 | 204.222.0.1 to 204.223.255.254 | 204.223.255.255 | 131,070 |
| 113 | 204.224.0.0/15 | 204.224.0.1 to 204.225.255.254 | 204.225.255.255 | 131,070 |
| 114 | 204.226.0.0/15 | 204.226.0.1 to 204.227.255.254 | 204.227.255.255 | 131,070 |
| 115 | 204.228.0.0/15 | 204.228.0.1 to 204.229.255.254 | 204.229.255.255 | 131,070 |
| 116 | 204.230.0.0/15 | 204.230.0.1 to 204.231.255.254 | 204.231.255.255 | 131,070 |
| 117 | 204.232.0.0/15 | 204.232.0.1 to 204.233.255.254 | 204.233.255.255 | 131,070 |
| 118 | 204.234.0.0/15 | 204.234.0.1 to 204.235.255.254 | 204.235.255.255 | 131,070 |
| 119 | 204.236.0.0/15 | 204.236.0.1 to 204.237.255.254 | 204.237.255.255 | 131,070 |
| 120 | 204.238.0.0/15 | 204.238.0.1 to 204.239.255.254 | 204.239.255.255 | 131,070 |
| 121 | 204.240.0.0/15 | 204.240.0.1 to 204.241.255.254 | 204.241.255.255 | 131,070 |
| 122 | 204.242.0.0/15 | 204.242.0.1 to 204.243.255.254 | 204.243.255.255 | 131,070 |
| 123 | 204.244.0.0/15 | 204.244.0.1 to 204.245.255.254 | 204.245.255.255 | 131,070 |
| 124 | 204.246.0.0/15 | 204.246.0.1 to 204.247.255.254 | 204.247.255.255 | 131,070 |
| 125 | 204.248.0.0/15 | 204.248.0.1 to 204.249.255.254 | 204.249.255.255 | 131,070 |
| 126 | 204.250.0.0/15 | 204.250.0.1 to 204.251.255.254 | 204.251.255.255 | 131,070 |
| 127 | 204.252.0.0/15 | 204.252.0.1 to 204.253.255.254 | 204.253.255.255 | 131,070 |
| 128 | 204.254.0.0/15 | 204.254.0.1 to 204.255.255.254 | 204.255.255.255 | 131,070 |
| 129 | 205.0.0.0/15 | 205.0.0.1 to 205.1.255.254 | 205.1.255.255 | 131,070 |
| 130 | 205.2.0.0/15 | 205.2.0.1 to 205.3.255.254 | 205.3.255.255 | 131,070 |
| 131 | 205.4.0.0/15 | 205.4.0.1 to 205.5.255.254 | 205.5.255.255 | 131,070 |
| 132 | 205.6.0.0/15 | 205.6.0.1 to 205.7.255.254 | 205.7.255.255 | 131,070 |
| 133 | 205.8.0.0/15 | 205.8.0.1 to 205.9.255.254 | 205.9.255.255 | 131,070 |
| 134 | 205.10.0.0/15 | 205.10.0.1 to 205.11.255.254 | 205.11.255.255 | 131,070 |
| 135 | 205.12.0.0/15 | 205.12.0.1 to 205.13.255.254 | 205.13.255.255 | 131,070 |
| 136 | 205.14.0.0/15 | 205.14.0.1 to 205.15.255.254 | 205.15.255.255 | 131,070 |
| 137 | 205.16.0.0/15 | 205.16.0.1 to 205.17.255.254 | 205.17.255.255 | 131,070 |
| 138 | 205.18.0.0/15 | 205.18.0.1 to 205.19.255.254 | 205.19.255.255 | 131,070 |
| 139 | 205.20.0.0/15 | 205.20.0.1 to 205.21.255.254 | 205.21.255.255 | 131,070 |
| 140 | 205.22.0.0/15 | 205.22.0.1 to 205.23.255.254 | 205.23.255.255 | 131,070 |
| 141 | 205.24.0.0/15 | 205.24.0.1 to 205.25.255.254 | 205.25.255.255 | 131,070 |
| 142 | 205.26.0.0/15 | 205.26.0.1 to 205.27.255.254 | 205.27.255.255 | 131,070 |
| 143 | 205.28.0.0/15 | 205.28.0.1 to 205.29.255.254 | 205.29.255.255 | 131,070 |
| 144 | 205.30.0.0/15 | 205.30.0.1 to 205.31.255.254 | 205.31.255.255 | 131,070 |
| 145 | 205.32.0.0/15 | 205.32.0.1 to 205.33.255.254 | 205.33.255.255 | 131,070 |
| 146 | 205.34.0.0/15 | 205.34.0.1 to 205.35.255.254 | 205.35.255.255 | 131,070 |
| 147 | 205.36.0.0/15 | 205.36.0.1 to 205.37.255.254 | 205.37.255.255 | 131,070 |
| 148 | 205.38.0.0/15 | 205.38.0.1 to 205.39.255.254 | 205.39.255.255 | 131,070 |
| 149 | 205.40.0.0/15 | 205.40.0.1 to 205.41.255.254 | 205.41.255.255 | 131,070 |
| 150 | 205.42.0.0/15 | 205.42.0.1 to 205.43.255.254 | 205.43.255.255 | 131,070 |
| 151 | 205.44.0.0/15 | 205.44.0.1 to 205.45.255.254 | 205.45.255.255 | 131,070 |
| 152 | 205.46.0.0/15 | 205.46.0.1 to 205.47.255.254 | 205.47.255.255 | 131,070 |
| 153 | 205.48.0.0/15 | 205.48.0.1 to 205.49.255.254 | 205.49.255.255 | 131,070 |
| 154 | 205.50.0.0/15 | 205.50.0.1 to 205.51.255.254 | 205.51.255.255 | 131,070 |
| 155 | 205.52.0.0/15 | 205.52.0.1 to 205.53.255.254 | 205.53.255.255 | 131,070 |
| 156 | 205.54.0.0/15 | 205.54.0.1 to 205.55.255.254 | 205.55.255.255 | 131,070 |
| 157 | 205.56.0.0/15 | 205.56.0.1 to 205.57.255.254 | 205.57.255.255 | 131,070 |
| 158 | 205.58.0.0/15 | 205.58.0.1 to 205.59.255.254 | 205.59.255.255 | 131,070 |
| 159 | 205.60.0.0/15 | 205.60.0.1 to 205.61.255.254 | 205.61.255.255 | 131,070 |
| 160 | 205.62.0.0/15 | 205.62.0.1 to 205.63.255.254 | 205.63.255.255 | 131,070 |
| 161 | 205.64.0.0/15 | 205.64.0.1 to 205.65.255.254 | 205.65.255.255 | 131,070 |
| 162 | 205.66.0.0/15 | 205.66.0.1 to 205.67.255.254 | 205.67.255.255 | 131,070 |
| 163 | 205.68.0.0/15 | 205.68.0.1 to 205.69.255.254 | 205.69.255.255 | 131,070 |
| 164 | 205.70.0.0/15 | 205.70.0.1 to 205.71.255.254 | 205.71.255.255 | 131,070 |
| 165 | 205.72.0.0/15 | 205.72.0.1 to 205.73.255.254 | 205.73.255.255 | 131,070 |
| 166 | 205.74.0.0/15 | 205.74.0.1 to 205.75.255.254 | 205.75.255.255 | 131,070 |
| 167 | 205.76.0.0/15 | 205.76.0.1 to 205.77.255.254 | 205.77.255.255 | 131,070 |
| 168 | 205.78.0.0/15 | 205.78.0.1 to 205.79.255.254 | 205.79.255.255 | 131,070 |
| 169 | 205.80.0.0/15 | 205.80.0.1 to 205.81.255.254 | 205.81.255.255 | 131,070 |
| 170 | 205.82.0.0/15 | 205.82.0.1 to 205.83.255.254 | 205.83.255.255 | 131,070 |
| 171 | 205.84.0.0/15 | 205.84.0.1 to 205.85.255.254 | 205.85.255.255 | 131,070 |
| 172 | 205.86.0.0/15 | 205.86.0.1 to 205.87.255.254 | 205.87.255.255 | 131,070 |
| 173 | 205.88.0.0/15 | 205.88.0.1 to 205.89.255.254 | 205.89.255.255 | 131,070 |
| 174 | 205.90.0.0/15 | 205.90.0.1 to 205.91.255.254 | 205.91.255.255 | 131,070 |
| 175 | 205.92.0.0/15 | 205.92.0.1 to 205.93.255.254 | 205.93.255.255 | 131,070 |
| 176 | 205.94.0.0/15 | 205.94.0.1 to 205.95.255.254 | 205.95.255.255 | 131,070 |
| 177 | 205.96.0.0/15 | 205.96.0.1 to 205.97.255.254 | 205.97.255.255 | 131,070 |
| 178 | 205.98.0.0/15 | 205.98.0.1 to 205.99.255.254 | 205.99.255.255 | 131,070 |
| 179 | 205.100.0.0/15 | 205.100.0.1 to 205.101.255.254 | 205.101.255.255 | 131,070 |
| 180 | 205.102.0.0/15 | 205.102.0.1 to 205.103.255.254 | 205.103.255.255 | 131,070 |
| 181 | 205.104.0.0/15 | 205.104.0.1 to 205.105.255.254 | 205.105.255.255 | 131,070 |
| 182 | 205.106.0.0/15 | 205.106.0.1 to 205.107.255.254 | 205.107.255.255 | 131,070 |
| 183 | 205.108.0.0/15 | 205.108.0.1 to 205.109.255.254 | 205.109.255.255 | 131,070 |
| 184 | 205.110.0.0/15 | 205.110.0.1 to 205.111.255.254 | 205.111.255.255 | 131,070 |
| 185 | 205.112.0.0/15 | 205.112.0.1 to 205.113.255.254 | 205.113.255.255 | 131,070 |
| 186 | 205.114.0.0/15 | 205.114.0.1 to 205.115.255.254 | 205.115.255.255 | 131,070 |
| 187 | 205.116.0.0/15 | 205.116.0.1 to 205.117.255.254 | 205.117.255.255 | 131,070 |
| 188 | 205.118.0.0/15 | 205.118.0.1 to 205.119.255.254 | 205.119.255.255 | 131,070 |
| 189 | 205.120.0.0/15 | 205.120.0.1 to 205.121.255.254 | 205.121.255.255 | 131,070 |
| 190 | 205.122.0.0/15 | 205.122.0.1 to 205.123.255.254 | 205.123.255.255 | 131,070 |
| 191 | 205.124.0.0/15 | 205.124.0.1 to 205.125.255.254 | 205.125.255.255 | 131,070 |
| 192 | 205.126.0.0/15 | 205.126.0.1 to 205.127.255.254 | 205.127.255.255 | 131,070 |
| 193 | 205.128.0.0/15 | 205.128.0.1 to 205.129.255.254 | 205.129.255.255 | 131,070 |
| 194 | 205.130.0.0/15 | 205.130.0.1 to 205.131.255.254 | 205.131.255.255 | 131,070 |
| 195 | 205.132.0.0/15 | 205.132.0.1 to 205.133.255.254 | 205.133.255.255 | 131,070 |
| 196 | 205.134.0.0/15 | 205.134.0.1 to 205.135.255.254 | 205.135.255.255 | 131,070 |
| 197 | 205.136.0.0/15 | 205.136.0.1 to 205.137.255.254 | 205.137.255.255 | 131,070 |
| 198 | 205.138.0.0/15 | 205.138.0.1 to 205.139.255.254 | 205.139.255.255 | 131,070 |
| 199 | 205.140.0.0/15 | 205.140.0.1 to 205.141.255.254 | 205.141.255.255 | 131,070 |
| 200 | 205.142.0.0/15 | 205.142.0.1 to 205.143.255.254 | 205.143.255.255 | 131,070 |
| 201 | 205.144.0.0/15 | 205.144.0.1 to 205.145.255.254 | 205.145.255.255 | 131,070 |
| 202 | 205.146.0.0/15 | 205.146.0.1 to 205.147.255.254 | 205.147.255.255 | 131,070 |
| 203 | 205.148.0.0/15 | 205.148.0.1 to 205.149.255.254 | 205.149.255.255 | 131,070 |
| 204 | 205.150.0.0/15 | 205.150.0.1 to 205.151.255.254 | 205.151.255.255 | 131,070 |
| 205 | 205.152.0.0/15 | 205.152.0.1 to 205.153.255.254 | 205.153.255.255 | 131,070 |
| 206 | 205.154.0.0/15 | 205.154.0.1 to 205.155.255.254 | 205.155.255.255 | 131,070 |
| 207 | 205.156.0.0/15 | 205.156.0.1 to 205.157.255.254 | 205.157.255.255 | 131,070 |
| 208 | 205.158.0.0/15 | 205.158.0.1 to 205.159.255.254 | 205.159.255.255 | 131,070 |
| 209 | 205.160.0.0/15 | 205.160.0.1 to 205.161.255.254 | 205.161.255.255 | 131,070 |
| 210 | 205.162.0.0/15 | 205.162.0.1 to 205.163.255.254 | 205.163.255.255 | 131,070 |
| 211 | 205.164.0.0/15 | 205.164.0.1 to 205.165.255.254 | 205.165.255.255 | 131,070 |
| 212 | 205.166.0.0/15 | 205.166.0.1 to 205.167.255.254 | 205.167.255.255 | 131,070 |
| 213 | 205.168.0.0/15 | 205.168.0.1 to 205.169.255.254 | 205.169.255.255 | 131,070 |
| 214 | 205.170.0.0/15 | 205.170.0.1 to 205.171.255.254 | 205.171.255.255 | 131,070 |
| 215 | 205.172.0.0/15 | 205.172.0.1 to 205.173.255.254 | 205.173.255.255 | 131,070 |
| 216 | 205.174.0.0/15 | 205.174.0.1 to 205.175.255.254 | 205.175.255.255 | 131,070 |
| 217 | 205.176.0.0/15 | 205.176.0.1 to 205.177.255.254 | 205.177.255.255 | 131,070 |
| 218 | 205.178.0.0/15 | 205.178.0.1 to 205.179.255.254 | 205.179.255.255 | 131,070 |
| 219 | 205.180.0.0/15 | 205.180.0.1 to 205.181.255.254 | 205.181.255.255 | 131,070 |
| 220 | 205.182.0.0/15 | 205.182.0.1 to 205.183.255.254 | 205.183.255.255 | 131,070 |
| 221 | 205.184.0.0/15 | 205.184.0.1 to 205.185.255.254 | 205.185.255.255 | 131,070 |
| 222 | 205.186.0.0/15 | 205.186.0.1 to 205.187.255.254 | 205.187.255.255 | 131,070 |
| 223 | 205.188.0.0/15 | 205.188.0.1 to 205.189.255.254 | 205.189.255.255 | 131,070 |
| 224 | 205.190.0.0/15 | 205.190.0.1 to 205.191.255.254 | 205.191.255.255 | 131,070 |
| 225 | 205.192.0.0/15 | 205.192.0.1 to 205.193.255.254 | 205.193.255.255 | 131,070 |
| 226 | 205.194.0.0/15 | 205.194.0.1 to 205.195.255.254 | 205.195.255.255 | 131,070 |
| 227 | 205.196.0.0/15 | 205.196.0.1 to 205.197.255.254 | 205.197.255.255 | 131,070 |
| 228 | 205.198.0.0/15 | 205.198.0.1 to 205.199.255.254 | 205.199.255.255 | 131,070 |
| 229 | 205.200.0.0/15 | 205.200.0.1 to 205.201.255.254 | 205.201.255.255 | 131,070 |
| 230 | 205.202.0.0/15 | 205.202.0.1 to 205.203.255.254 | 205.203.255.255 | 131,070 |
| 231 | 205.204.0.0/15 | 205.204.0.1 to 205.205.255.254 | 205.205.255.255 | 131,070 |
| 232 | 205.206.0.0/15 | 205.206.0.1 to 205.207.255.254 | 205.207.255.255 | 131,070 |
| 233 | 205.208.0.0/15 | 205.208.0.1 to 205.209.255.254 | 205.209.255.255 | 131,070 |
| 234 | 205.210.0.0/15 | 205.210.0.1 to 205.211.255.254 | 205.211.255.255 | 131,070 |
| 235 | 205.212.0.0/15 | 205.212.0.1 to 205.213.255.254 | 205.213.255.255 | 131,070 |
| 236 | 205.214.0.0/15 | 205.214.0.1 to 205.215.255.254 | 205.215.255.255 | 131,070 |
| 237 | 205.216.0.0/15 | 205.216.0.1 to 205.217.255.254 | 205.217.255.255 | 131,070 |
| 238 | 205.218.0.0/15 | 205.218.0.1 to 205.219.255.254 | 205.219.255.255 | 131,070 |
| 239 | 205.220.0.0/15 | 205.220.0.1 to 205.221.255.254 | 205.221.255.255 | 131,070 |
| 240 | 205.222.0.0/15 | 205.222.0.1 to 205.223.255.254 | 205.223.255.255 | 131,070 |
| 241 | 205.224.0.0/15 | 205.224.0.1 to 205.225.255.254 | 205.225.255.255 | 131,070 |
| 242 | 205.226.0.0/15 | 205.226.0.1 to 205.227.255.254 | 205.227.255.255 | 131,070 |
| 243 | 205.228.0.0/15 | 205.228.0.1 to 205.229.255.254 | 205.229.255.255 | 131,070 |
| 244 | 205.230.0.0/15 | 205.230.0.1 to 205.231.255.254 | 205.231.255.255 | 131,070 |
| 245 | 205.232.0.0/15 | 205.232.0.1 to 205.233.255.254 | 205.233.255.255 | 131,070 |
| 246 | 205.234.0.0/15 | 205.234.0.1 to 205.235.255.254 | 205.235.255.255 | 131,070 |
| 247 | 205.236.0.0/15 | 205.236.0.1 to 205.237.255.254 | 205.237.255.255 | 131,070 |
| 248 | 205.238.0.0/15 | 205.238.0.1 to 205.239.255.254 | 205.239.255.255 | 131,070 |
| 249 | 205.240.0.0/15 | 205.240.0.1 to 205.241.255.254 | 205.241.255.255 | 131,070 |
| 250 | 205.242.0.0/15 | 205.242.0.1 to 205.243.255.254 | 205.243.255.255 | 131,070 |
| 251 | 205.244.0.0/15 | 205.244.0.1 to 205.245.255.254 | 205.245.255.255 | 131,070 |
| 252 | 205.246.0.0/15 | 205.246.0.1 to 205.247.255.254 | 205.247.255.255 | 131,070 |
| 253 | 205.248.0.0/15 | 205.248.0.1 to 205.249.255.254 | 205.249.255.255 | 131,070 |
| 254 | 205.250.0.0/15 | 205.250.0.1 to 205.251.255.254 | 205.251.255.255 | 131,070 |
| 255 | 205.252.0.0/15 | 205.252.0.1 to 205.253.255.254 | 205.253.255.255 | 131,070 |
| 256 | 205.254.0.0/15 | 205.254.0.1 to 205.255.255.254 | 205.255.255.255 | 131,070 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |